Akonadi Server: Problem after update to 1.9.0 [Solved]

Discussions Regarding Software

Moderator: Moderators

Akonadi Server: Problem after update to 1.9.0 [Solved]

Postby linuxfluesterer » Wed Feb 20, 2013 17:45

Hallo guys.
After doing last update yesterday, 19th of Feb., I got a problem with my KOrganizer.
I use KDE 4.9.5, and when I started KRemeinder? (a part of KOrganizer, a tool for reminding me for events),
I saw that akonadi server itself was NO MORE started. Before Update, it was started by default without error messages.
So, I started it by click on button and I received many error messages, why it was NOT possible to start akonadi server.
One of the errors was: 'Can't connect to DBus'
Before update I had akonadi server, version 1.8.1, which was updated to version 1.9.0.
I need that KOrganizer. And I assume a bug here. Anyone here with similar problems?

-Linuxfluesterer (I love KDE ...)
Last edited by linuxfluesterer on Mon Mar 11, 2013 17:26, edited 1 time in total.
TTIP is NOT YET stopped. Especially consider NHS and ISDS topics. Talk to your local politician to open eyes for danger to democracy because of TTIP
User avatar
linuxfluesterer
Old Dear Hen
 
Posts: 699
Joined: Thu Sep 20, 2012 19:47
Location: Germany

Re: Akonadi Server: Problem after update to version 1.9.0

Postby Booboo » Sun Feb 24, 2013 23:40

Someone elese advised to switch in ~/.config/akonadi/akonadiserverrc I switched to
Driver=QMYSQL
Booboo
Baby Hen
 
Posts: 1
Joined: Sun Feb 24, 2013 23:37

Re: Akonadi Server: Problem after update to version 1.9.0

Postby colock » Tue Feb 26, 2013 14:34

Yes, there was a USE flag change between the previous version (sqlite and -mysql) and this one (-sqlite and mysql).

The configuration in the home directory is not something a package should touch in any way, altough a notice or news would have been cool.

Another more barbaric solution is to simply zap the ~/.config/akonadi/ directory entirely and let akonadi re-create the (now different) default configuration.
colock
Simple Hen
 
Posts: 56
Joined: Mon Feb 25, 2013 12:01


Re: Akonadi Server: Problem after update to version 1.9.0

Postby linuxfluesterer » Wed Feb 27, 2013 22:57

Yes, there is something weird in Akonadi-Server 1.9.0 construction.
It is based or depending on KDE-Base 4.10 (I checked on Sabayon Package website).
Ok, anyway, I changed .config/akonadi/akonadiserverrc setting from QSQLITE3 to QSQMYSQL.
And I unmasked akonadi-server-1.9.0, so that I could finally install akonadi-server-1.9.0 then.
The result is the same.
On my system, KDE 4.9.5 all my PIM data are lost or broken or whatever after installing akonadi-server-1.9.0.
And it is still not possible to start this new server in KOrganizer.
I'm sorry, but when I restored my backup from before, I deleted the output protocol, which I'd saved in my home directory. My mistake not to save it on an external location.
Now, I think about to use Google calendar and synchronize with KDE KOrganizer.
In KDE 4.9.5 it works great with akonadi-server-1.8.1.
I can only hope, that finally, when KDE 4.10 is completely available for Sabayon-Weekly repo,
that I can still use Google-calendars in KDE also.
Anyway, this akonadi-server-1.9.0 construction destroyes PIM-data.
God bless those, who have a backup (because I was not able to get my data back though I downgraded my system (packages) with akonadi-server-1.8.1).
I don't expect, that this thread can be solved by using another driver (or similar).
The only hope I have is, that KDE 4.10 will have a clear integrity.
Until that day, I go on using akonadi-server-1.8.1.

-Linuxfluesterer (I love KDE ...)
TTIP is NOT YET stopped. Especially consider NHS and ISDS topics. Talk to your local politician to open eyes for danger to democracy because of TTIP
User avatar
linuxfluesterer
Old Dear Hen
 
Posts: 699
Joined: Thu Sep 20, 2012 19:47
Location: Germany

Re: Akonadi Server: Problem after update to version 1.9.0

Postby tollgate » Thu Feb 28, 2013 15:25

Been following this thread as I depend on Kmail and Akonadi for my work email (quite heavy use). But I don't have any of the problems described and I am on KDE 4.9.5 and Akonadi server 1.9.0. I didn't do anything special to end up with 1.9.0 - just arrived as part of the normal weekly updates I guess.
tollgate
Growing Hen
 
Posts: 105
Joined: Thu May 31, 2012 3:57
Location: Jomtien, Thailand

Re: Akonadi Server: Problem after update to version 1.9.0

Postby linuxfluesterer » Thu Feb 28, 2013 21:44

Thank you for your post, Tollgate.
I don't use KMail for several reasons. Too difficult to handle and also problems when importing emails from Thunderbird.
It is my calendar, (KOrganizer) which is no more working properly after update to akonadi-server-1.9.0.
KOrganizer can be run, but due to circumstances, akonadi-server is issueing error messages, it refuses to start.
There is no more event... calendar is empty. So I can only close KOrganizer.
Do you use KOrganizer with event managing?
Maybe tomorrow, after backup my working system with akonadi-server-1.8.1, I will update this server to version 1.9.0.
If then it's still not working I will keep the error messages protocol and post it here.
Maybe ... Because it takes some time to recover ALL my old system then again.

-Linuxfluesterer (I love KDE ...)
TTIP is NOT YET stopped. Especially consider NHS and ISDS topics. Talk to your local politician to open eyes for danger to democracy because of TTIP
User avatar
linuxfluesterer
Old Dear Hen
 
Posts: 699
Joined: Thu Sep 20, 2012 19:47
Location: Germany

Re: Akonadi Server: Problem after update to version 1.9.0

Postby tollgate » Tue Mar 05, 2013 4:23

Linuxfluesterer - just tried the calender on both my Sabayon 11 systems with akonadi 1.9.0 and both work as expected.
tollgate
Growing Hen
 
Posts: 105
Joined: Thu May 31, 2012 3:57
Location: Jomtien, Thailand

Re: Akonadi Server: Problem after update to version 1.9.0

Postby sabayonino » Tue Mar 05, 2013 13:31

tollgate wrote:Linuxfluesterer - just tried the calender on both my Sabayon 11 systems with akonadi 1.9.0 and both work as expected.



viewtopic.php?f=59&t=29188
and
http://forum.sabayon.org/viewtopic.php? ... di#p159049

an update to 1.9.1 is available in portage tree (I don't know if fix this issue)
User avatar
sabayonino
Sagely Hen
 
Posts: 2463
Joined: Sun Sep 21, 2008 1:12
Location: Italy

Re: Akonadi Server: Problem after update to version 1.9.0

Postby tollgate » Tue Mar 05, 2013 14:24

Perhaps I should have added that akonadi is set to use QMYSQL in akonadiserverrc:

[%General]
Driver=QMYSQL
SizeThreshold=4096
ExternalPayload=true

[QMYSQL]
Name=akonadi
User=
Password=
Options="UNIX_SOCKET=/home/steve/.local/share/akonadi/socket-sabayon-work/mysql.socket"
ServerPath=/usr/sbin/mysqld
StartServer=true
Host=

[Debug]
Tracer=null
tollgate
Growing Hen
 
Posts: 105
Joined: Thu May 31, 2012 3:57
Location: Jomtien, Thailand

Next

Return to Software in General

Who is online

Users browsing this forum: No registered users and 2 guests